petsc-3.4.2 2013-07-02

# KSPSetUpOnBlocks

Sets up the preconditioner for each block in the block Jacobi, block Gauss-Seidel, and overlapping Schwarz methods.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetUpOnBlocks(KSP ksp)

Collective on KSP

### Input Parameter

ksp -the KSP context

### Notes

KSPSetUpOnBlocks() is a routine that the user can optinally call for more precise profiling (via -log_summary) of the setup phase for these block preconditioners. If the user does not call KSPSetUpOnBlocks(), it will automatically be called from within KSPSolve().

Calling KSPSetUpOnBlocks() is the same as calling PCSetUpOnBlocks() on the PC context within the KSP context.

### Keywords

KSP, setup, blocks

### See Also

PCSetUpOnBlocks(), KSPSetUp(), PCSetUp()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html